.PHONY: all

all:
	make test

SLUG:=$(shell `echo ${CI_PROJECT_PATH_SLUG} | sed 's/-/_/g'`)
COMPOSE_PROJECT_NAME:=$(shell basename `pwd`)${SLUG}${CI_PIPELINE_ID}
DOCKER_COMPOSE:=COMPOSE_PROJECT_NAME=$(COMPOSE_PROJECT_NAME) CURRENT_UID=$(shell id -u):$(shell id -g) docker-compose

test:
	@$(DOCKER_COMPOSE) up \
		-t 0 \
		--exit-code-from client \
		--abort-on-container-exit \
		--build \
		--remove-orphans

clean:
	@$(DOCKER_COMPOSE) down --remove-orphans
